For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
  • Getting started
    • Introduction
    • Obtaining API keys
    • Quickstart
    • Native clients
    • Concepts
    • Embedding authentication
    • Versioning
    • Idempotent requests
    • Events
  • Configuring your connections
    • CDC streaming from databases
  • Code examples
    • Bulk sync (ELT) from HubSpot to PostgreSQL
    • Bulk sync (ELT) from Salesforce to S3
    • Bulk sync (ELT) from Salesforce to Snowflake
    • Model sync (Reverse ETL) from MongoDB to Salesforce
  • API Reference
      • GETList Users
      • POSTCreate User
      • GETGet User
      • DELRemove User
      • PATCHUpdate User
      • POSTCreate API Key
Logo
Log inBook a demo
API ReferenceUsers

List Users

GET
https://app.polytomic.com/api/organizations/:org_id/users
GET
/api/organizations/:org_id/users
$curl https://app.polytomic.com/api/organizations/248df4b7-aa70-47b8-a036-33ac447e668d/users \
> -H "X-Polytomic-Version: X-Polytomic-Version" \
> -H "Content-Type: application/json" \
> -u "<username>:<password>"
1{
2 "data": [
3 {
4 "email": "jane.doe@polytomic.com",
5 "id": "a3f1c2d4-5b6e-7f89-0123-456789abcdef",
6 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
7 "role_ids": [
8 "9f8e7d6c-5b4a-3210-fedc-ba9876543210"
9 ],
10 "role": "admin"
11 },
12 {
13 "email": "john.smith@polytomic.com",
14 "id": "b4e2d3c5-6f7a-8901-2345-6789abcdef01",
15 "organization_id": "248df4b7-aa70-47b8-a036-33ac447e668d",
16 "role_ids": [
17 "1a2b3c4d-5e6f-7890-abcd-ef0123456789"
18 ],
19 "role": "user"
20 }
21 ]
22}

Lists all users in the specified organization.

🚧 Requires partner key

User endpoints are only accessible using partner keys.

Was this page helpful?
Previous

Create User

Next

Authentication

AuthorizationBasic

This is the Polytomic deployment key (on-premises only)

OR
AuthorizationBearer
This is the Polytomic API key

Path parameters

org_idstringRequiredformat: "uuid"
Unique identifier of the organization whose users should be listed.

Headers

X-Polytomic-VersionstringRequired

Response

OK
datalist of objects or null

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error